Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros
polyblk.cpp File Reference
`#include "mfcpch.h"`
`#include <ctype.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include "elst.h"`
`#include "polyblk.h"`
`#include "hpddef.h"`

Go to the source code of this file.

## Macros

#define | PBLOCK_LABEL_SIZE 150
#define | INTERSECTING MAX_INT16

## Functions

POLY_BLOCK::reflect_in_y_axis
Reflect the coords of the polygon in the y-axis. (Flip the sign of x.)
int | lessthan (const void *first, const void *second)

## Macro Definition Documentation

#define INTERSECTING MAX_INT16

Definition at line 35 of file polyblk.cpp.

#define PBLOCK_LABEL_SIZE 150

Definition at line 34 of file polyblk.cpp.

## Function Documentation

int lessthan | ( | const void * | first,
|  | const void * | second
| ) |  |

Definition at line 384 of file polyblk.cpp.

{
ICOORDELT *p1 = (*(ICOORDELT **) first);
ICOORDELT *p2 = (*(ICOORDELT **) second);
if (p1->x () < p2->x ())
return (-1);
else if (p1->x () > p2->x ())
return (1);
else
return (0);
}